com.sun.jdi

## Class IncompatibleThreadStateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sun.jdi.IncompatibleThreadStateException

All Implemented Interfaces:
  Serializable

    public class IncompatibleThreadStateException
    extends Exception

Thrown to indicate that the requested operation cannot be completed while the specified thread is in its current state.

Since:
  1.3
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IncompatibleThreadStateException()`
`IncompatibleThreadStateException(String s)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IncompatibleThreadStateException

    public IncompatibleThreadStateException()

#### IncompatibleThreadStateException

    public IncompatibleThreadStateException(String s)

Copyright © 1999, 2017, Oracle and/or its affiliates. All rights reserved.